<script type="text/javascript">
var cropper;
var uprate=@{!model.uprate};
var downrate=@{!model.downrate};
var width_out=@{!model.width_out};
var height_out=@{!model.height_out};
var myurl_ins=@{!model.myurl_ins};
var myurl_del=@{!model.myurl_del};
function rescrop(url){
        cropper.replace(url);
    }
 
var cuntpic=$("#showlist").children().length;
function show_imgcrop(result){
    switch(result.status){
      case 100:
    break;
   case 200:
   
   cuntpic++;
   if(cuntpic>=@{!model.limitPic}){
           document.getElementById("frmAX").style.display="none";
   }
          var arrayBufferView = new Uint8Array(result.data.data);
          let blob = new Blob( [ arrayBufferView ], { type: "image/jpeg" } );
          var urlCreator = window.URL || window.webkitURL;
          var imageUrl = urlCreator.createObjectURL( blob );
          //$("#shower").children().eq(0).children().eq(0).children().eq(1).attr("src",imageUrl);

        var pickin='<div class="Hcol-xlg-3 Hcol-lg-3 Hcol-xmd-3 Hcol-md-6 Hcol-xsm-6 Hcol-sm-12 Hcol-xs-12 Hcol-xss-12"><div class="imgholder" style="background-image: url('+imageUrl+');">';
        @{if model.delete}
                pickin+='<i class="fas fa-times-circle remove-img" data-id="'+result.id+'" data-num="'+result.num+'"></i>';
        @{fi}
        pickin+='</div></div>';






        $("#showlist").append(pickin); 
        $("#upax").css("visibility","hidden");
        $("#upaxOne").css("visibility","hidden");
        $("#cancleax").css("visibility","hidden");
        $(".inspic").each(function(){

          $(this).css("visibility","visible");
        });
        $("#upax").css("cursor","default");
        $("#upaxOne").css("cursor","default");
        cropper.destroy();
        $("#croper_picpro img").attr("src","");
        $("#croper_picpro img").css("background-color","blue");
//window.location.assign("/melk/new/case");
        //cropper.destroy();
    break;
    case 202:
    break;
    case 202:
    case 203:
    break;
    case 210:
    case 211:
    break;
    case 500:
    break;
    case 505:
    case 506:
    case 507:
    
    break;
    case 700:
    break;
  }
 }

$(document).ready(function(){
    changeshower("none","block");
    $("#btnnorm").click(function(){changeshower("none","block");});
    $("#btncrop").click(function(){changeshower("block","none");});
    function changeshower(a,b){
        $("#cropimg").css("display",a);
        $("#normalimg").css("display",b);
        
    }
    @{if model.delete}
    $(document).on("click", "i.remove-img" ,async function(){
        let x=confirm("آیا اطمینان دارید که می خواهید این تصویر را حذف کنید؟\nدر صورت تایید امکان بازیابی تصویر وجود نخواهد داشت");
        var query="id="+$(this).attr("data-id")+"&num="+$(this).attr("data-num");
        if(x){
              var resdel=await jqajax(myurl_del,query,"get","loader");
              if(resdel.status==200){
                      $(this).parent().parent().remove();
                      cuntpic--;
                      if(cuntpic<=@{!model.limitPic}){
                      document.getElementById("frmAX").style.display="block";
                       }
              }else{
                      alert("مشکلی در حذف تصاویر بوجود آمده است");
              }
       }

    });
    
    @{fi}
});
</script>

